Blog

Upgrading PHP on Plesk Virtuozzo VPS

The CentOS 5 EZ template released by the Russian mafia at Parallels contains an old version of PHP and is yum-less. The first step to upgrade this is to install yum with this huge number of packages.

Next install the great atomicrocketturtle repositories:

wget -q -O - <span>http://www.atomicorp.com/installers/atomic</span> |sh

And then finally update PHP:

yum upgrade php

If upgrading from PHP 4, there maybe some additional config files to mess with. See atomicturtle’s wiki page on PHP for troubleshooting.

Leave a Reply

Your email address will not be published. Required fields are marked *

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>

Warning: fsockopen(): php_network_getaddresses: getaddrinfo failed: Name or service not known in /home/svosolutions/public_html/blog/wp-content/plugins/sweetcaptcha-revolutionary-free-captcha-service/library/sweetcaptcha.php on line 81 Warning: fsockopen(): unable to connect to www.sweetcaptcha.com:80 (php_network_getaddresses: getaddrinfo failed: Name or service not known) in /home/svosolutions/public_html/blog/wp-content/plugins/sweetcaptcha-revolutionary-free-captcha-service/library/sweetcaptcha.php on line 81